.primary {
    color: white;
    overflow: hidden;
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: space-between;

    &:before {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 5;
        content: '';
        position: absolute;
        background: rgba(0,0,0,0.6);
    }

    &__bg {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 1;
        position: absolute;
    }


    &__header {
        z-index: 20;
        position: relative;
        padding: rem(40) rem(16);
        display: flex;
        align-items: center;
        flex-direction: column;
        justify-content: center;
        row-gap: rem(40);
    }

    &__logo {
        color: white;
        font-weight: 600;
        font-size: rem(36);
        line-height: rem(42);
        display: flex;
        align-items: center;
        justify-content: center;
    }

    &__nav {
        font-weight: 600;
        text-align: center;
        font-size: rem(16);
        line-height: rem(20);
        display: flex;
        flex-direction: column;
        row-gap: rem(20);
    }

    &__link {
        color: white;
        text-decoration: none;

        &:hover {
            color: white;
            text-decoration: none;
        }
    }

    &__contacts {
        font-size: 0;
        line-height: 0;
        display: flex;
        align-items: center;
        column-gap: rem(10);
    }

    &__contact {
        fill: white;
        width: rem(30);
        height: rem(30);
        display: block;
        flex-shrink: 0;
    }

    &__content {
        z-index: 20;
        position: relative;
        padding: rem(40) rem(16);
        text-align: center;
    }

    &__title {
        font-weight: 600;
        font-size: rem(30);
        line-height: rem(30);
        text-align: center;
        text-transform: uppercase;
    }

    &__text {
        font-size: rem(18);
        line-height: rem(24);
        margin-bottom: rem(60);
    }

    &__footer {
        z-index: 20;
        position: relative;
        display: flex;
        align-items: center;
        justify-content: center;
        padding: rem(40) rem(16);
    }

    &__down {
        fill: white;
        width: rem(38);
        display: block;
        flex-shrink: 0;
        animation: t-arrow-bottom 1.7s infinite ease;
    }

    .btn {
        min-width: rem(300);
    }

    @include media-breakpoint-up(md) {

        &__title {
            font-size: rem(68);
            line-height: rem(72);
        }

        &__text {
            font-size: rem(22);
            line-height: rem(34);
            margin-bottom: rem(60);
        }
    }

    @include media-breakpoint-up(lg) {

        &__header {
            height: rem(100);
            padding: rem(20) rem(32);
            align-items: center;
            flex-direction: row;
            justify-content: space-between;
        }

        &__logo {
            order: 2;
            height: rem(50);
        }

        &__nav {
            order: 1;
            width: rem(400);
            flex-direction: row;
            row-gap: rem(10);
            column-gap: rem(30);
            flex-wrap: wrap;
        }

        &__contacts {
            order: 3;
            width: rem(400);
            justify-content: flex-end;
        }

        &__footer {
            height: rem(100);
            padding: rem(20) rem(32);
        }
    }

    @include media-breakpoint-up(xl) {

        &__nav {
            width: 40%;
        }

        &__contacts {
            width: 40%;
        }

        &__title {
            font-size: rem(72);
            line-height: rem(84);
            margin-bottom: rem(40);
        }

        &__text {
            margin-bottom: rem(75);
        }
    }
}


@keyframes t-arrow-bottom {
    0%,to {
        transform: translateY(0)
    }

    50%,55% {
        transform: translateY(-7px)
    }
}

